Bug 1721302 (CVE-2019-10169)

Summary: CVE-2019-10169 keycloak: script execution via UMA policy trigger
Product: [Other] Security Response Reporter: Chess Hazlett <chazlett>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aboyko, chazlett, drieden, krathod, pdrozd, pjindal, security-response-team, sthorger
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: keycloak 8.0.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Keycloak’s user-managed access interface, where it would permit a script to be set in the UMA policy. This flaw allows an authenticated attacker with UMA permissions to configure a malicious script to trigger and execute arbitrary code with the permissions of the user running application.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-25 09:52:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1720746    

Description Chess Hazlett 2019-06-17 21:46:00 UTC
It was found that the user-managed access interface in Keycloak would permit a script to be set in the UMA policy. An authenticated attacker with UMA permissions could configure a malicious script to trigger and execute arbitrary code with the permissions of the user running application.

Comment 7 Chess Hazlett 2020-05-04 18:34:09 UTC
Acknowledgments:

Name: Bart Toersche (Simacan)